Integrates text translation into your website or application.
- REST Resource: v3beta1.projects
- REST Resource: v3beta1.projects.locations
- REST Resource: v3beta1.projects.locations.glossaries
- REST Resource: v3beta1.projects.locations.operations
Service: translation.googleapis.com
We recommend that you call this service using Google-provided client libraries. If your application needs to call this service using your own libraries, you should use the following information when making the API requests.
Discovery document
A Discovery Document is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service may have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://translation.googleapis.com
REST Resource: v3beta1.projects
| Methods | |
|---|---|
detectLanguage |
POST /v3beta1/{parent=projects/*}:detectLanguage Detects the language of text within a request. |
getSupportedLanguages |
GET /v3beta1/{parent=projects/*}/supportedLanguages Returns a list of supported languages for translation. |
translateText |
POST /v3beta1/{parent=projects/*}:translateText Translates input text and returns translated text. |
REST Resource: v3beta1.projects.locations
| Methods | |
|---|---|
batchTranslateText |
POST /v3beta1/{parent=projects/*/locations/*}:batchTranslateText Translates a large volume of text in asynchronous batch mode. |
detectLanguage |
POST /v3beta1/{parent=projects/*/locations/*}:detectLanguage Detects the language of text within a request. |
getSupportedLanguages |
GET /v3beta1/{parent=projects/*/locations/*}/supportedLanguages Returns a list of supported languages for translation. |
translateText |
POST /v3beta1/{parent=projects/*/locations/*}:translateText Translates input text and returns translated text. |
REST Resource: v3beta1.projects.locations.glossaries
| Methods | |
|---|---|
create |
POST /v3beta1/{parent=projects/*/locations/*}/glossaries Creates a glossary and returns the long-running operation. |
delete |
DELETE /v3beta1/{name=projects/*/locations/*/glossaries/*} Deletes a glossary, or cancels glossary construction if the glossary isn't created yet. |
get |
GET /v3beta1/{name=projects/*/locations/*/glossaries/*} Gets a glossary. |
list |
GET /v3beta1/{parent=projects/*/locations/*}/glossaries Lists glossaries in a project. |
REST Resource: v3beta1.projects.locations.operations
| Methods | |
|---|---|
cancel |
POST /v3beta1/{name=projects/*/locations/*/operations/*}:cancel Starts asynchronous cancellation on a long-running operation. |
delete |
DELETE /v3beta1/{name=projects/*/locations/*/operations/*} Deletes a long-running operation. |
get |
GET /v3beta1/{name=projects/*/locations/*/operations/*} Gets the latest state of a long-running operation. |
list |
GET /v3beta1/{name=projects/*/locations/*}/operations Lists operations that match the specified filter in the request. |
wait |
POST /v3beta1/{name=projects/*/locations/*/operations/*}:wait Waits for the specified long-running operation until it is done or reaches at most a specified timeout, returning the latest state. |

